de.esprit.appsuite

## Class AppSuiteTranslation

- java.lang.Object
- - de.esprit.appsuite.project.AbstractProjectTranslation
  - - de.esprit.appsuite.AppSuiteTranslation

-     public class AppSuiteTranslation
      extends AbstractProjectTranslation

  This class stores the translations for this project
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppSuiteTranslation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getAppKey()`
    `protected java.lang.String` | `getTranslationAppKey()` Returns the project specific translation base key (i.e.
    `protected void` | `loadTranslationClasses()`
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class de.esprit.appsuite.project.AbstractProjectTranslation

      `addNlsKeys, getNlsKeyList, load, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppSuiteTranslation

          public AppSuiteTranslation()

  - ### Method Detail

    - #### loadTranslationClasses

          protected void loadTranslationClasses()

      Specified by:
        `loadTranslationClasses` in class `AbstractProjectTranslation`

    - #### getTranslationAppKey

          protected java.lang.String getTranslationAppKey()

      Description copied from class: `AbstractProjectTranslation`
      Returns the project specific translation base key (i.e. 'appsuite' for the EspritAppSuite project).
      Specified by:
        `getTranslationAppKey` in class `AbstractProjectTranslation`

    - #### getAppKey

          public static java.lang.String getAppKey()

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.